[package]
name = "jap_learn"
version = "0.1.2"
edition = "2024"

[dependencies]
iced = { version = "0.14.0", features = ["tokio", "svg", "lazy"]}
iced_core = "0.14.0"
rand = "0.10.2"
dirs = "6.0.0"
serde = { version = "1.0.229", features = ["derive"] }
serde_json = "1.0.151"
rhai = "1.25.1"
chrono = "0.4.45"
rusqlite = { version = "0.40.2", features = ["chrono", "bundled"] }
reqwest = { version = "0.13.4", features = ["json", "stream", "multipart"] }
rodio = "0.22.2"
sha2 = "0.11.0"
tokio = { version = "1.53.1", features = ["rt", "rt-multi-thread", "macros"] }
hex = "0.4.3"
zstd = "0.13.3"
zip = "8.6.0"
rfd = "0.17.2"
mimalloc = "0.1.52"

[profile.super-release]
inherits = "release"
codegen-units = 1
lto = true
opt-level = 3
strip = true
panic = "abort"

[dev-dependencies]
criterion = "0.8.2"

[[bench]]
name = "split_bench"  # Имя файла в benches/ без расширения
harness = false       # Отключаем стандартный тестовый раннер


